summaryrefslogtreecommitdiffstats
path: root/satellit_installer/static_files/lighttpd-auto-ssl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'satellit_installer/static_files/lighttpd-auto-ssl.sh')
-rwxr-xr-xsatellit_installer/static_files/lighttpd-auto-ssl.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/satellit_installer/static_files/lighttpd-auto-ssl.sh b/satellit_installer/static_files/lighttpd-auto-ssl.sh
index 32bbee1..9365a33 100755
--- a/satellit_installer/static_files/lighttpd-auto-ssl.sh
+++ b/satellit_installer/static_files/lighttpd-auto-ssl.sh
@@ -5,7 +5,7 @@ declare -rg CHAIN="/etc/lighttpd/chain.pem"
declare -rg DHPARAM="/etc/lighttpd/dhparam.pem"
declare -rg REDIR_FLAG="/etc/lighttpd/redirect.flag"
-if ! [ -s "$DHPARAM" ]; then
+if ! [ -s "$DHPARAM" ] && ! ps aux | grep 'openssl dhparam' | grep -q -v grep; then
openssl dhparam -out "$DHPARAM" 2048 >/dev/null 2>&1
fi